%{?nodejs_find_provides_and_requires}

%global packagename shelljs-nodecli
%global enable_tests 1

Name:		nodejs-shelljs-nodecli
Version:	0.1.1
Release:	1%{?dist}
Summary:	ShellJS Node CLI Extension

License:	MIT
URL:		https://github.com/nzakas/shelljs-nodecli
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(shelljs)
%if 0%{?enable_tests}
BuildRequires:	npm(chai)
BuildRequires:	npm(mocha)
BuildRequires:	npm(rewire)
BuildRequires:	npm(sinon)
%endif

%description
ShellJS Node CLI Extension


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec tests/lib/shelljs-nodecli-test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
